/**
 * <p>Title: PCMCIA IO Sample Application</p>
 * <p>Description: PCMCIA IO Sample Application</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: Mobile Satellite Services Corporation</p>
 * @author Poornima Sarvadevabhatla
 * @version 1.0
 */

import java.lang.RuntimeException;
import pcmciainterface.*;

public class MainClass {

  public static void main(String[] args) {
    Pcmcia pcmcia = new Pcmcia();
    try {
      pcmcia.getHandle();
      System.out.println("Got a handle");
    } catch (GetHandleException e) {
      e.printStackTrace();
    }

    int status = 0;

    byte[] readRegisterValue = new byte[10];
    status = pcmcia.readMemoryFixAddr16bit(0, 10, readRegisterValue);
    if (status > 0) {
      for (int i = 0; i < readRegisterValue.length; i = i + 1) {
        System.out.println("Read value # " + i +"(dec): " +
          ((int)readRegisterValue[i]) + " (hex): " +
          (Integer.toHexString((int)readRegisterValue[i])).toUpperCase());
      }
    }

    pcmcia.disposeHandle();
    System.out.println("Disposed a handle");
  }


/*******************************************************************************
*******************************************************************************/

  /** Zero-pads a <code>String[]</code>.
   *
   * @param StringToBePadded  the <code>String[]</code> to be zero-padded
   * @param totalNoOfDigits  Total number of characters the return value should
   * have. Must be greater or equal to the number of characters in the
   * <code>StringToBePadded</code> input parameter.
   * @return a zero-padded <code>String[]</code>
   */
  public static String zeroPadNumber(String StringToBePadded,
                                              int totalNoOfDigits){
    String returnString = StringToBePadded;
    if (StringToBePadded.length() > totalNoOfDigits) {
      return StringToBePadded.substring(0,totalNoOfDigits);
    }
    for (int i = 0; i < totalNoOfDigits-StringToBePadded.length() ; i = i + 1) {
      returnString = "0" + returnString;
    }
    return returnString;
  }

/*******************************************************************************
*******************************************************************************/
}